Subject: Re: linux-next: wireless-current tree build failure

From: "John W. Linville" <[email-masked]>
Date: Tue, 5 Aug 2008 12:00:26 -0400

On Tue, Aug 05, 2008 at 06:37:57PM +0300, Adrian Bunk wrote:
> On Tue, Aug 05, 2008 at 04:21:52PM +1000, Stephen Rothwell wrote:
> > Hi John,
> > 
> > Today's linux-next build (powerpc allyesconfig) failed like this:
> > 
> > drivers/net/wireless/ath9k/hw.c: In function 'ath9k_hw_9280_spur_mitigate':
> > drivers/net/wireless/ath9k/hw.c:4660: internal compiler error: in expand_expr_real_1, at expr.c:9199
> > 
> > Clearly not our fault! :-) I have informed our toolchain person.  This
> > was using the Debian gcc-4.3.  It also fails using the Debian 4.2
> > compiler but not the 4.1 one.
> >...
> 
> Alexandros Couloumbis already opened a bug for this issue on mips, which 
> also seems to be affected:
>   http://gcc.gnu.org/bugzilla/show_bug.cgi?id=37014
> 
> It is a gcc bug, but we'll have to work around it in the ath9k driver.

I imagine that we would be happy to do that.  Anyone have a clue as to how?

John
-- 
John W. Linville
[email-masked]